phoc (0.54.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Apr 2026 22:02:21 +0200

phoc (0.54~rc1-1) unstable; urgency=medium

  * New upstream release
    * Workspace focus improvements
    * X11 override-redirect handling improvements
    * Multiple bug fixes, internal cleanups and improvements
  * build: Lower wlroots dependency

 -- Guido Günther <agx@sigxcpu.org>  Thu, 26 Mar 2026 14:41:25 +0100

phoc (0.53.0-1) unstable; urgency=medium

  * New upstream release
    * No changes over rc1

 -- Guido Günther <agx@sigxcpu.org>  Sun, 15 Feb 2026 10:37:38 +0100

phoc (0.53~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * New protocol support:
      * xx-cutouts-v1 protocol: Allow clients to receive display cutout
        information
    * Improvements:
      * Handle `Above_Tab` pseudo keysym
      * Allow to cycle through windows on a workspace
      * Allow apps to stay fullscreen when losing focus (helps e.g.
        full screen games)
    * Bug fixes:
      * Bump default buffer size to avoid some busy Wayland clients from
        being disconnected
      * Fix issue preventing some GTK3 popups activatable via mouse
      * Fix some initially fullscreen X11 apps getting resized to 1x1 pixels
        (thus seemingly disappearing) when unfullscreened).
    * Another round of internal cleanups and improvements

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Feb 2026 14:06:53 +0100

phoc (0.52.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches. Applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Jan 2026 11:43:59 +0100

phoc (0.52~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * Fix preedit related issue that made preedit reappear in e.g. Chatty or Flare
    * cutouts: Handle different corner radii
  * Bump gmobile dependency

 -- Guido Günther <agx@sigxcpu.org>  Thu, 25 Dec 2025 15:10:44 +0100

phoc (0.51.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Nov 2025 09:59:00 +0100

phoc (0.51~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * Update to wlroots 0.19.2
    * Exit cleanly on SIGTERM
    * Internal cleanups

 -- Guido Günther <agx@sigxcpu.org>  Sat, 08 Nov 2025 13:39:19 +0100

phoc (0.50.0-1) unstable; urgency=medium

  * New upstream release
    * Add workspace indicators

 -- Guido Günther <agx@sigxcpu.org>  Sat, 04 Oct 2025 12:01:45 +0200

phoc (0.50~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * Initial workspace support

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Sep 2025 10:27:21 +0200

phoc (0.49.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 Aug 2025 09:19:38 +0200

phoc (0.49.0-1) experimental; urgency=medium

  * New upstream release (Closes: #1111148)
    * Fix popup related crash
    * Fix clang+musl build

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Aug 2025 08:46:38 +0200

phoc (0.49~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    * Fix (use after free) crash on shell unlock
    * Add initial sysprof support
    * Reject input in shell mode when shell is not up
    * Add debug option to damage whole output
  * Drop patches. Applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Aug 2025 14:45:32 +0200

phoc (0.48.0-2) experimental; urgency=medium

  * Backport fixes from upstream's phoc-0.48.x branch

 -- Guido Günther <agx@sigxcpu.org>  Thu, 17 Jul 2025 09:53:06 +0200

phoc (0.48.0-1) experimental; urgency=medium

  * New upstream release
    * Update to wlroots 0.19.0
    * Save output configurations and restore them in the
      single output case. Note: configuration in phoc.ini takes
      precedence.
    * Support adapative-sync
    * New protocol support:
      - shortcuts-inhibit
      - ext-image-capture-source-v1
      - ext-image-capture-copy-v1
    * Updated protocol support:
      - wp_presentation time version 2

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Jun 2025 09:03:59 +0200

phoc (0.48~rc1-1) experimental; urgency=medium

  * New upstream release
    * Update to wlroots 0.19.0
    * Save output configurations and restore them in the
      single output case. Note: configuration in phoc.ini takes
      precedence.
    * Support adapative-sync
    * New protocol support:
      - shortcuts-inhibit
      - ext-image-capture-source-v1
      - ext-image-capture-copy-v1
    * Updated protocol support:
      - wp_presentation time version 2

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Jun 2025 16:57:00 +0200

phoc (0.47.0-1) experimental; urgency=medium

  * New upstream release
    * Allow to use wlroot's Vulkan renderer
    * Several crash and robustness fixes
    * Add --socket and --no-xwayland options

 -- Guido Günther <agx@sigxcpu.org>  Sat, 17 May 2025 12:52:34 +0200

phoc (0.47~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 May 2025 09:01:54 +0200

phoc (0.46.0-1) unstable; urgency=medium

  * New upstream release
    * Avoid stale inhibitors when forwarding to gnome-session

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Mar 2025 10:07:16 +0200

phoc (0.46~rc2-1) unstable; urgency=medium

  * New upstream release
    * Fix gtk4-layer-shell related crash

 -- Guido Günther <agx@sigxcpu.org>  Thu, 27 Mar 2025 11:54:03 +0100

phoc (0.46~rc1-1) unstable; urgency=medium

  * New upstream release
    * New protocols: ext-foreign-toplevel-info, alpha-modifier-v1 protocol
    * Add (optional) spinner animation to output shield
    * Unify layer-surface and xdg-surface subsurface and popup handling
    * Check `ID_INPUT_KEYBOARD` to identify hardware keyboards. This
      allows e.g. flip phones to mark their T9 style keyboard as such.
    * Allow X11 surfaces to use transparency
    * Fix subsurface scaling when rendering to buffer

 -- Guido Günther <agx@sigxcpu.org>  Sat, 22 Mar 2025 14:00:48 +0100

phoc (0.45.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Feb 2025 17:02:14 +0100

phoc (0.45~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 07 Feb 2025 17:59:39 +0100

phoc (0.45~git+beta1-1) unstable; urgency=medium

  * New upstream release
    * Switch to wlroots 0.18.x
    * Support xdg-shell's surface suspend for fully occluded windows
      (e.g. when screen is locked)
    * Smoothen output mode/scale/transform changes
    * Fix touch point and damage tracking debugging
    * Allow to enable/disable touch point and damage tracking debugging at
      runtime
    * Lots of internal modernization, cleanup and robustness fixes

 -- Guido Günther <agx@sigxcpu.org>  Sat, 01 Feb 2025 17:08:17 +0100

phoc (0.45~git20250116.64b30aa-1) unstable; urgency=medium

  * New upstream git snapshot
    * Support surface suspend
    * Leak fixes
    * Fix crash on layer surface removal

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Jan 2025 18:01:44 +0100

phoc (0.44.0-2) unstable; urgency=medium

  * Backport upstream MR to use wlroots-0.18.x. This has some known lose ends
    but otherwise the whole mobile stack is completely broken in sid due to
    phoc being uninstallable and it seems we won't get 0.17 back 😥.
    (Closes: #1091553)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Dec 2024 10:54:08 +0100

phoc (0.44.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Dec 2024 14:55:41 +0100

phoc (0.44~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Dec 2024 17:34:21 +0100

phoc (0.43.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Nov 2024 09:57:07 +0100

phoc (0.43~rc1-1) unstable; urgency=medium

  * New upstream release
    - Fix interaction between predit and pointer
    - Fix flickering text bubbles in e.g. GTK4 text selection
    - Disable direct scan out when we need the shell overlay
    - Fix possible crash with XWayland surfaces
    - Only show cursor when there was mouse movement
    - Support cursor themes

 -- Guido Günther <agx@sigxcpu.org>  Tue, 12 Nov 2024 10:01:04 +0100

phoc (0.42.1+ds-1) unstable; urgency=medium

  * New upstream bugfix release
  * Drop patches. Applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Mon, 21 Oct 2024 22:36:51 +0200

phoc (0.42.0-2) unstable; urgency=medium

  * Backport a preedit commit fix. This fixes an issue with text selection
    when using a pointing device most notably in GTK4 apps.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 13 Oct 2024 16:26:19 +0200

phoc (0.42.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 29 Sep 2024 19:39:43 +0200

phoc (0.42~rc1-1) unstable; urgency=medium

  * New upstream release
    - Try harder to preserve preedit. This should make the behavior of on
      screen keyboards that feature text prediction/correction (like
      e.g. phosh-osk-stub) more predictable.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Sep 2024 20:16:06 +0200

phoc (0.41.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Aug 2024 09:14:35 +0200

phoc (0.41.0~rc1-1) unstable; urgency=medium

  * New upstream release
    - Fix swipe closing apps regression in phosh
    - Fix possible crash in idle protocol handling
  * Drop patches. Applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Aug 2024 12:23:43 +0200

phoc (0.40.0+ds-2) unstable; urgency=medium

  * layer-shell: Mark layer cache dirty when OSK changes layers.
    Thanks to Andrey Skvortsov for the report and testing the fix
    (Closes: #1075857)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Jul 2024 22:42:29 +0200

phoc (0.40.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 29 Jun 2024 21:11:58 +0200

phoc (0.40.0~rc1+ds-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Wed, 26 Jun 2024 20:10:37 +0200

phoc (0.40.0~rc1+ds-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 25 Jun 2024 20:31:34 +0200

phoc (0.39.0+ds-2) experimental; urgency=medium

  * Upload to experimental
  * Install examples. These can be useful for debugging.
  * d/control: Use pkgconf instead of pkg-config
  * d/copyright: Update years and drop superfluous pattern

 -- Guido Günther <agx@sigxcpu.org>  Tue, 18 Jun 2024 15:47:03 +0200

phoc (0.39.0+ds-1) unstable; urgency=medium

  * New upstream release
  * d/control: Use shared gmobile
  * Install new phoc.gsettings manual page

 -- Guido Günther <agx@sigxcpu.org>  Tue, 14 May 2024 11:16:33 +0200

phoc (0.38.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Ignore gmobile related files

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Apr 2024 21:14:00 +0200

phoc (0.37.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Mar 2024 13:32:33 +0100

phoc (0.36.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Feb 2024 10:53:56 +0100

phoc (0.35.0+ds-1) unstable; urgency=medium

  * Upload to unstable
  * d/gbp.conf: Switch to debian/latest

 -- Guido Günther <agx@sigxcpu.org>  Tue, 09 Jan 2024 21:58:39 +0100

phoc (0.35.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release
  * Drop patches. Applied upstream
  * Install systemtap scripts and add tracing build profile.
    This eases tracing builds without having to fetch the upstream
    sources.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 06 Jan 2024 13:40:26 +0100

phoc (0.34.0~beta1+ds-2~exp1) experimental; urgency=medium

  * d/control: Add breaks against older phosh and phog.
    Since wlroots 0.17.0 dropped support for org-kde-kwin-idle add breaks
    against known clients using it.
  * d/copyright: Drop now inexistent files
  * d/control: Bump standards version. No changes needed

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Dec 2023 14:22:12 +0100

phoc (0.34.0~beta1+ds-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental as wlroots 0.17.0 is there too
  * d/control: Switch to wlroots 0.17
  * meson: Allow to build with released 0.17.0
  * d/manpages: Install phoc.ini.5
  * ci: Switch to experimental

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Dec 2023 11:22:58 +0100

phoc (0.33.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Oct 2023 12:01:55 +0200

phoc (0.32.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 Oct 2023 13:27:18 +0200

phoc (0.31.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Sep 2023 11:35:11 +0200

phoc (0.30.0+ds-2) unstable; urgency=medium

  * d/control: Add breaks on phosh older than 0.30.0.
    Phosh itself works but want a session without g-s-d settings.
    (Closes: #1043121)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 06 Aug 2023 11:32:08 +0200

phoc (0.30.0+ds-1) unstable; urgency=medium

  * New upstream release
    Closes: #1041850
  * d/control: Bump wlroots dependency
  * d/gbp.conf: Drop duplicate upstream-vcs-tag
  * Update filter settings now the upstream tarball is
    generted via --include-subprojects
  * docs: Install NEWS
    Closes: #1041155

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Aug 2023 18:00:27 +0200

phoc (0.29.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 04 Jul 2023 12:45:02 +0200

phoc (0.28.0+ds-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Sun, 11 Jun 2023 11:12:14 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog phoc`.
